#-------------------------------------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See https://go.microsoft.com/fwlink/?linkid=2090316 for license information.
#-------------------------------------------------------------------------------------------------------------

version: '3'
services:
  # worker:
  #   image: golang:1.12
  #   volumes:
  #     - ./worker:/workspace
  #     - ~/.gitconfig:/root/.gitconfig
  #     - /var/run/docker.sock:/var/run/docker.sock

  #   # Uncomment the next four lines if you will use a ptrace-based debuggers like C++, Go, and Rust.
  #   cap_add:
  #    - SYS_PTRACE
  #   security_opt:
  #     - seccomp:unconfined

  #   environment:
  #     - SHELL=/bin/bash
  #   command: sleep infinity
  #   networks:
  #     - kafka_kafka-system
  # population:
  #   image: golang:1.12
  #   volumes:
  #     - .:/go/src/github.com/it-sgcu/rnkm-transit/population
  #     - ~/.gitconfig:/root/.gitconfig
  #     - /var/run/docker.sock:/var/run/docker.sock
  #   # Uncomment the next four lines if you will use a ptrace-based debuggers like C++, Go, and Rust.
  #   cap_add:
  #    - SYS_PTRACE
  #   security_opt:
  #     - seccomp:unconfined
  #   environment:
  #     - SHELL=/bin/bash
  #   command: sleep infinity
  #   networks:
  #     - kafka_kafka-system
  loadbalancer:
    image: golang:1.12
    volumes:
      - .:/go/src/github.com/it-sgcu/rnkm-transit/loadbalancer
      - ~/.gitconfig:/root/.gitconfig
      - /var/run/docker.sock:/var/run/docker.sock
    ports:
      - 80:8080
      - 8000:8000
    # Uncomment the next four lines if you will use a ptrace-based debuggers like C++, Go, and Rust.
    cap_add:
     - SYS_PTRACE
    security_opt:
      - seccomp:unconfined

    environment:
      - SHELL=/bin/bash
    command: sleep infinity
    networks:
      - kafka_kafka-system
  redis:
    image: redis:5
    networks:
      - kafka_kafka-system
networks:
  kafka_kafka-system:
    external: true

